Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontosim.util
Class URI2Triples

    java.lang.Object
      fr.inrialpes.exmo.ontosim.util.URI2Triples

    public class URI2Triples

extends Object

Field Summary
`LinkedHashMap<com.hp.hpl.jena.graph.Node,Set<com.hp.hpl.jena.graph.Triple>[]>` | `uri2triples`

Constructor Summary
`URI2Triples()`

Method Summary
`void` | `addTripleObject(com.hp.hpl.jena.graph.Node obj, com.hp.hpl.jena.graph.Triple t)`
`void` | `addTriplePredicate(com.hp.hpl.jena.graph.Node obj, com.hp.hpl.jena.graph.Triple t)`
`void` | `addTripleSubject(com.hp.hpl.jena.graph.Node obj, com.hp.hpl.jena.graph.Triple t)`
`Set<com.hp.hpl.jena.graph.Triple>[]` | `getTripleLists(com.hp.hpl.jena.graph.Node obj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### uri2triples

    public LinkedHashMap<com.hp.hpl.jena.graph.Node,Set<com.hp.hpl.jena.graph.Triple>[]> uri2triples

Constructor Detail

### URI2Triples

    public URI2Triples()

Method Detail

### getTripleLists

    public Set<com.hp.hpl.jena.graph.Triple>[] getTripleLists(com.hp.hpl.jena.graph.Node obj)

### addTripleSubject

    public void addTripleSubject(com.hp.hpl.jena.graph.Node obj,
                                 com.hp.hpl.jena.graph.Triple t)

### addTriplePredicate

    public void addTriplePredicate(com.hp.hpl.jena.graph.Node obj,
                                   com.hp.hpl.jena.graph.Triple t)

### addTripleObject

    public void addTripleObject(com.hp.hpl.jena.graph.Node obj,
                                com.hp.hpl.jena.graph.Triple t)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2008-2009